Create Persona
curl --request POST \
--url https://app.surfacd.com/api/v1/projects/{project}/personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"job_titles": [
"<string>"
],
"seniorities": [
"<string>"
],
"company_sizes": [],
"industries": [
"<string>"
],
"motivators": "<string>",
"pain_points": "<string>"
}
'import requests
url = "https://app.surfacd.com/api/v1/projects/{project}/personas"
payload = {
"name": "<string>",
"job_titles": ["<string>"],
"seniorities": ["<string>"],
"company_sizes": [],
"industries": ["<string>"],
"motivators": "<string>",
"pain_points": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
job_titles: ['<string>'],
seniorities: ['<string>'],
company_sizes: [],
industries: ['<string>'],
motivators: '<string>',
pain_points: '<string>'
})
};
fetch('https://app.surfacd.com/api/v1/projects/{project}/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.surfacd.com/api/v1/projects/{project}/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'job_titles' => [
'<string>'
],
'seniorities' => [
'<string>'
],
'company_sizes' => [
],
'industries' => [
'<string>'
],
'motivators' => '<string>',
'pain_points' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.surfacd.com/api/v1/projects/{project}/personas"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.surfacd.com/api/v1/projects/{project}/personas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.surfacd.com/api/v1/projects/{project}/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"job_titles": [
"<string>"
],
"seniorities": [
"<string>"
],
"company_sizes": [
"1-10"
],
"industries": [
"<string>"
],
"motivators": "<string>",
"pain_points": "<string>",
"prompts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}Personas
Create Persona
Creates a persona on the project and returns it with its public UUID. Persona names are unique within a project (case-insensitive) and a project can have up to 10 personas. Creating a persona does not create prompts or start a data collection run. To ask prompts as it, list it in personas when creating prompts: each persona a prompt is asked as is a prompt of its own, which counts towards the prompt limit and credits. Re-using the name of a deleted persona creates a new persona with a new UUID.
POST
/
api
/
v1
/
projects
/
{project}
/
personas
Create Persona
curl --request POST \
--url https://app.surfacd.com/api/v1/projects/{project}/personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"job_titles": [
"<string>"
],
"seniorities": [
"<string>"
],
"company_sizes": [],
"industries": [
"<string>"
],
"motivators": "<string>",
"pain_points": "<string>"
}
'import requests
url = "https://app.surfacd.com/api/v1/projects/{project}/personas"
payload = {
"name": "<string>",
"job_titles": ["<string>"],
"seniorities": ["<string>"],
"company_sizes": [],
"industries": ["<string>"],
"motivators": "<string>",
"pain_points": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
job_titles: ['<string>'],
seniorities: ['<string>'],
company_sizes: [],
industries: ['<string>'],
motivators: '<string>',
pain_points: '<string>'
})
};
fetch('https://app.surfacd.com/api/v1/projects/{project}/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.surfacd.com/api/v1/projects/{project}/personas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'job_titles' => [
'<string>'
],
'seniorities' => [
'<string>'
],
'company_sizes' => [
],
'industries' => [
'<string>'
],
'motivators' => '<string>',
'pain_points' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.surfacd.com/api/v1/projects/{project}/personas"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.surfacd.com/api/v1/projects/{project}/personas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.surfacd.com/api/v1/projects/{project}/personas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"job_titles\": [\n \"<string>\"\n ],\n \"seniorities\": [\n \"<string>\"\n ],\n \"company_sizes\": [],\n \"industries\": [\n \"<string>\"\n ],\n \"motivators\": \"<string>\",\n \"pain_points\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"job_titles": [
"<string>"
],
"seniorities": [
"<string>"
],
"company_sizes": [
"1-10"
],
"industries": [
"<string>"
],
"motivators": "<string>",
"pain_points": "<string>",
"prompts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}Authorizations
Body
application/json
name and at least one job title are required. After a save, Surfacd writes the persona's perspective from its profile and adds it when its prompts are asked.
Response
Created persona.